<?php

declare(strict_types = 1);

namespace Drupal\entity_share_client\EventSubscriber;

use Drupal\eca\EventSubscriberBase;
use Drupal\entity_share_eca\Plugin\ECA\Event\EntityShareClientEvent;

/**
 * ECA event subscriber.
 */
class EcaEntityShare extends EventSubscriberBase {

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents(): array {
    $events = [];
    foreach (EntityShareClientEvent::actions() as $action) {
      $events[$action['drupal_id']][] = ['onEvent'];
    }
    return $events;
  }

}
