<?php

declare(strict_types = 1);

namespace Drupal\entity_share_eca\Plugin\ECA\Event;

use Drupal\eca\PluginEventBase;
use Drupal\entity_share_client\Event\RelationshipFieldValueEvent;

/**
 * Plugin implementation of the ECA Events for content entities.
 *
 * @EcaEvent(
 *   id = "entity_share_eca",
 *   label = @Translation("Entity share: Relationship Field Value")
 * )
 */
class EntityShareClientEvent extends PluginEventBase {

  /**
   * Return the actions of the plugin.
   *
   * @return array[]
   *   The actions of the plugin.
   */
  public static function actions(): array {
    return [
      'entity_share_eca_rel_field_value' => [
        'label' => 'Entity share: Relationship Field Value',
        'drupal_id' => RelationshipFieldValueEvent::EVENT_NAME,
        'drupal_event_class' => RelationshipFieldValueEvent::class,
      ],
    ];
  }

}
